Encrypt data
curl --request POST \
--url https://{subdomain}.qanapi.cloud/api/v2/encrypt \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"password": "secret"
},
"sensitiveFields": [
"password"
],
"attributes": {
"classification": "confidential",
"owner": "alice@example.com",
"tags": [
"legal"
]
},
"access": {
"acl": [
"admin"
]
}
}
'import requests
url = "https://{subdomain}.qanapi.cloud/api/v2/encrypt"
payload = {
"data": { "password": "secret" },
"sensitiveFields": ["password"],
"attributes": {
"classification": "confidential",
"owner": "alice@example.com",
"tags": ["legal"]
},
"access": { "acl": ["admin"] }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {password: 'secret'},
sensitiveFields: ['password'],
attributes: {classification: 'confidential', owner: 'alice@example.com', tags: ['legal']},
access: {acl: ['admin']}
})
};
fetch('https://{subdomain}.qanapi.cloud/api/v2/encrypt', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"password": "enc$::abc123::..."
}
}{
"message": "Unauthenticated."
}{
"message": "This action is unauthorized."
}Encryption
Encrypt data
POST
/
v2
/
encrypt
Encrypt data
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The actual data to encrypt.
- Can be a scalar (string/number), object, or array.
- If the value is an object or array, only the specified
sensitiveFieldsare encrypted.
Laravel-style dot-notated paths to fields that should be encrypted.
Supports:
- Dot notation for nested fields:
user.profile.ssn - Wildcard
*for arrays or dynamic keys:users.*.token
Examples:
passworduser.credentials.secretaccounts.*.secretteams.*.members.*.email
Optional metadata describing the data's context.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Encrypted data
⌘I